\voffset=-1.5cm \hoffset=-1.4cm \textwidth=16cm \textheight=22.0cm

\usepackage{graphicx}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{mathrsfs}
\usepackage{enumerate}
\usepackage{lscape}
\usepackage{longtable}
\usepackage{rotating}
\usepackage{multirow}
\usepackage{color}
\usepackage{xcolor}
\usepackage{url}
\usepackage{subfigure}
\usepackage{rotating}
\usepackage{hyperref}

\usepackage[english]{babel}
\usepackage{biblatex}
\usepackage{blkarray}% http://ctan.org/pkg/blkarray
\usepackage{bbm}

\hypersetup{
    colorlinks=true, %set true if you want colored links
    linktoc=all,     %set to all if you want both sections and subsections linked
    linkcolor=blue,  %choose some color if you want links to stand out
}
\newcommand{\matindex}[1]{\mbox{\scriptsize#1}}% Matrix index
\newtheorem{theorem}{Theorem}[section]
\newtheorem{acknowledgment}{Acknowledgment}[section]
\usepackage[ruled,vlined,noline,linesnumbered]{algorithm2e}
\newtheorem{axiom}{Axiom}[section]
\newtheorem{case}{Case}[section]
\newtheorem{claim}{Claim}[section]

\newtheorem{conclusion}{Conclusion}[section]
\newtheorem{condition}{Condition}[section]
\newtheorem{conjecture}{Conjecture}[section]
\newtheorem{corollary}{Corollary}[section]
\newtheorem{criterion}{Criterion}[section]
\newtheorem{definition}{Definition}[section]
\newtheorem{example}{Example}[section]
\newtheorem{exercise}{Exercise}[section]
\newtheorem{lemma}{Lemma}[section]
\newtheorem{notation}{Notation}[section]
\newtheorem{problem}{Problem}[section]
\newtheorem{proposition}{Proposition}[section]
\newtheorem{remark}{Remark}[section]
\newtheorem{solution}{Solution}[section]
\newtheorem{assumption}{Assumption}[section]
\newtheorem{summary}{Summary}[section]
\newtheorem{note}{Note}[section]
\newtheorem{doubt}{Doubt}[section]
\newtheorem{properties}{Properties}[section]
\newenvironment{proof}[1][Proof]{\textbf{#1.} }{\ \rule{0.5em}{0.5em} \vspace{1ex}}

\newcommand{\udef}{\mathrel{\mathop:}=}
\newcommand{\defu}{=\mathrel{\mathop:}}
\newcommand{\dd}{{\rm d}}
\newcommand{\R}{\mathbb{R}}
\newcommand{\Q}{\mathbb{Q}}
\newcommand{\N}{\mathbb{N}}
\newcommand{\Z}{\mathbb{Z}}
\newcommand{\C}{\mathbb{C}}
\newcommand{\de}{\mathrm{d}}
\usepackage{dsfont}
\newcommand{\1}{\mathds{1}}
\newcommand{\partialc}{\partial^c} 
\newcommand{\parder}[2]{\frac{\partial#1}{\partial#2}}
\newcommand{\der}[2]{\frac{\de#1}{\de#2}}
\newcommand{\diag}{\text{diag}}
% Def abs e norm

%automatic delimiter resizing
\newcommand{\paren}[1]{\mathopen{}\left( {#1}_{{}_{}}\,\negthickspace\right)\mathclose{}}
\newcommand{\bracket}[1]{\mathopen{}\left[ {#1}_{{}_{}}\,\negthickspace\right]\mathclose{}}
\newcommand{\set}[1]{\mathopen{}\left\{ {#1}_{{}_{}}\,\negthickspace\right\}\mathclose{}}
\newcommand{\abs}[1]{\mathopen{}\left| {#1}_{{}_{}}\,\negthickspace\right|\mathclose{}}
\newcommand\norm[1]{\left\lVert#1\right\rVert}
\newcommand\pair[2]{\langle#1,#2\rangle}
\newcommand{\MT}[1]{\textcolor{cyan}{[Marek comment]: #1}}

\usepackage{algorithmic}

\setlength{\unitlength}{1mm}

\def\real{\R}

\DeclareMathOperator{\argmax}{argmax}
\DeclareMathOperator{\argmin}{argmin}
\DeclareMathOperator{\range}{Range}
\DeclareMathOperator{\kernel}{Ker}
\DeclareMathOperator{\cl}{cl}
\DeclareMathOperator{\tr}{Tr}
\DeclareMathOperator{\rk}{Rank}
\DeclareMathOperator{\vect}{vec}


\numberwithin{equation}{section}
